> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Total Balance Series



## OpenAPI

````yaml Wallet post /dashboard/total-balance/series
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /dashboard/total-balance/series:
    post:
      tags:
        - Dashboard
      summary: Get Total Balance Series
      operationId: DashboardController_getTotalBalanceSeries
      parameters:
        - name: tenantId
          in: header
          description: Tenant Id
          required: false
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TotalBalanceSeriesReq'
        required: true
      responses:
        '200':
          description: Get Total Balance Series
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TotalBalanceSeriesDto'
      security:
        - default: []
components:
  schemas:
    TotalBalanceSeriesReq:
      type: object
      properties:
        walletId:
          type: string
        overview:
          type: array
          items:
            type: string
        inTermsOf:
          type: string
          enum:
            - EUR
            - USD
    TotalBalanceSeriesDto:
      required:
        - totalBalanceByDate
      type: object
      properties:
        totalBalanceByDate:
          $ref: '#/components/schemas/ChartResponseDto'
    ChartResponseDto:
      required:
        - data
        - labels
      type: object
      properties:
        labels:
          type: array
          items:
            type: string
        data:
          type: array
          items:
            type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````